# Method: projects.firewallpolicies.create

- [HTTP request](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/create#body.request_body)
- [Response body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/create#body.aspect_1)

Creates a new FirewallPolicy, specifying conditions at which reCAPTCHA Enterprise actions can be executed. A project may have a maximum of 1000 policies.

### HTTP request

`POST https://recaptchaenterprise.googleapis.com/v1/{parent=projects/*}/firewallpolicies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the project this policy applies to, in the format `projects/{project}`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies#FirewallPolicy`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies#FirewallPolicy`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `recaptchaenterprise.firewallpolicies.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).